<div class="modal-header">
    <h3 class="modal-title font-ligth text-left"><i class="icon-list"></i> LISTA EMAILS</h3>
</div>
<div class="modal-body" ng-controller="ClienteEmailController">
  <div class="row">
    <form ng-submit="add()">
      <div class="col-md-8">
        <div class="form-group">
          <input type="email" ng-model="model.email" class="form-control" placeholder="Ingrese Email" required>
        </div>
      </div>
      <div class="col-md-4">
        <button type="submit" class="btn btn-primary btn-border btn-rounded-10 btn-block" ng-disabled="!model.email"><i class="fa fa-save"></i> Guardar</button>
      </div>
    </form>
    <div class="col-md-12"><hr style="margin-top: 8px;margin-bottom: 8px;"></div>
  </div>
  <div class="row" ng-if="isLoading">
    <div class="col-md-12">
      <loading></loading>
    </div>
  </div>
  <div class="row" ng-if="!isLoading">
    <div class="col-md-12">
      <form>
        <div class="row">
          <div class="col-md-12" ng-if="emails.length > 0">
            <div class="table-responsive">
              <table class="table table-hover">
                <thead>
                  <tr>
                    <th>EMAIL</th>
                    <th class="text-center">ASIGNAR</th>
                  </tr>
                </thead>
                <tbody>
                  <tr dir-paginate="email in emails |filter: buscar | itemsPerPage: 5" pagination-id="email.id">
                    <td>{{email.email}}</td>
                    <td class="text-center">
                      <button class="btn btn-border btn-danger btn-rounded-10" ng-click="destroy(email)"><i class="fa fa-trash"></i></button> 
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
            <div class="pull-right">
              <dir-pagination-controls pagination-id="email.id"></dir-pagination-controls>
            </div>
          </div>
          <div class="col-md-12" ng-if="emails.length == 0">
            <p class="text-center">
              <i class="icon-info fa-4x"></i>
              <h5 class="text-center">no hay emails registrados...</h5>
            </p>
          </div>
        </div>                    
      </form>
    </div>
  </div>
  <div class="text-center">
    <button type="button" class="btn btn-border btn-default btn-rounded-10" ng-click="cancel()"><i class="fa fa-close"></i> Cerrar</button>
  </div>
</div>